Main Page Class List Class Members

# btAlignedAllocator< T, Alignment > Class Template Reference

`#include <btAlignedAllocator.h>`

List of all members.

## Classes
struct | rebind
## Public Types
typedef const T * | const_pointer
typedef const T & | const_reference
typedef T * | pointer
typedef T & | reference
typedef T | value_type
## Public Member Functions
const_pointer | address (const_reference ref) const
pointer | address (reference ref) const
pointer | allocate (size_type n, const_pointer *hint=0)
template<typename Other >
| btAlignedAllocator (const btAlignedAllocator< Other, Alignment > &)
| btAlignedAllocator ()
void | construct (pointer ptr, const value_type &value)
void | deallocate (pointer ptr)
void | destroy (pointer ptr)
template<typename O >
self_type & | operator= (const btAlignedAllocator< O, Alignment > &)
## Friends
bool | operator== (const self_type &, const self_type &)

## Detailed Description

### template<typename T, unsigned Alignment>
class btAlignedAllocator< T, Alignment >

The btAlignedAllocator is a portable class for aligned memory allocations. Default implementations for unaligned and aligned allocations can be overridden by a custom allocator using btAlignedAllocSetCustom and btAlignedAllocSetCustomAligned.

## Member Typedef Documentation

template<typename T, unsigned Alignment>

typedef const T* btAlignedAllocator< T, Alignment >::const_pointer

template<typename T, unsigned Alignment>

typedef const T& btAlignedAllocator< T, Alignment >::const_reference

template<typename T, unsigned Alignment>

typedef T* btAlignedAllocator< T, Alignment >::pointer

template<typename T, unsigned Alignment>

typedef T& btAlignedAllocator< T, Alignment >::reference

template<typename T, unsigned Alignment>

typedef T btAlignedAllocator< T, Alignment >::value_type

## Constructor & Destructor Documentation

template<typename T, unsigned Alignment>

btAlignedAllocator< T, Alignment >::btAlignedAllocator | ( |  | ) | `[inline]`

template<typename T, unsigned Alignment>
template<typename Other >

btAlignedAllocator< T, Alignment >::btAlignedAllocator | ( | const btAlignedAllocator< Other, Alignment > & |  | ) | `[inline]`

## Member Function Documentation

template<typename T, unsigned Alignment>

const_pointer btAlignedAllocator< T, Alignment >::address | ( | const_reference | ref | ) | const`[inline]`

template<typename T, unsigned Alignment>

pointer btAlignedAllocator< T, Alignment >::address | ( | reference | ref | ) | const`[inline]`

template<typename T, unsigned Alignment>

pointer btAlignedAllocator< T, Alignment >::allocate | ( | size_type | n,
|  | const_pointer * | hint = `0` |
| ) |  |  | `[inline]`

template<typename T, unsigned Alignment>

void btAlignedAllocator< T, Alignment >::construct | ( | pointer | ptr,
|  | const value_type & | value |
| ) |  |  | `[inline]`

template<typename T, unsigned Alignment>

void btAlignedAllocator< T, Alignment >::deallocate | ( | pointer | ptr | ) | `[inline]`

template<typename T, unsigned Alignment>

void btAlignedAllocator< T, Alignment >::destroy | ( | pointer | ptr | ) | `[inline]`

template<typename T, unsigned Alignment>
template<typename O >

self_type& btAlignedAllocator< T, Alignment >::operator= | ( | const btAlignedAllocator< O, Alignment > & |  | ) | `[inline]`

## Friends And Related Function Documentation

template<typename T, unsigned Alignment>

bool operator== | ( | const self_type & | ,
|  | const self_type & |  |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/btAlignedAllocator.h